post
https://uapi.demandbase.com/auth/v1/token
This endpoint issues an OAuth2 bearer token for authenticating with Demandbase APIs.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
How to get your client ID and secretTo obtain your client ID and secret, please follow this walkthrough
Generate and Manage API Key Sets
Token Expiry
- Demandbase access tokens have a lifespan of 28800 seconds (8 hours)
- You will need to generate a new token using this same flow once the token is expired
Best Practices
- Store the token in memory or a secure cache after generating it.
- Re-use the same token for all API calls until it is close to expiring.
- Regenerate a new token only when:
- You receive a HTTP 401 error. (403 indicates invalid permissions, not an invalid token)
- You are within 15 minutes of expiry.
What NOT To Do
- Do not generate a new token before every API request.
- Don’t create multiple tokens in short intervals — this increases overhead and might trigger abuse protection.
400Invalid request (missing or incorrect parameters)